Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMPICommunicatorOpaqueComm Class Reference

`#include <vtkMPI.h>`

List of all members.

## Public Methods

| vtkMPICommunicatorOpaqueComm ()
MPI_Comm * | GetHandle ()

## Protected Attributes

MPI_Comm * | Handle

## Friends

class | vtkMPICommunicator
class | vtkMPIController

## Constructor & Destructor Documentation

vtkMPICommunicatorOpaqueComm::vtkMPICommunicatorOpaqueComm | ( |  | ) |

## Member Function Documentation

MPI_Comm* vtkMPICommunicatorOpaqueComm::GetHandle | ( |  | ) |

## Friends And Related Function Documentation

friend class vtkMPICommunicator`[friend]`

| Definition at line 30 of file vtkMPI.h.

friend class vtkMPIController`[friend]`

| Definition at line 31 of file vtkMPI.h.

## Member Data Documentation

MPI_Comm* vtkMPICommunicatorOpaqueComm::Handle`[protected]`

| Definition at line 34 of file vtkMPI.h.

The documentation for this class was generated from the following file:

- Parallel/vtkMPI.h